Bug 642546 - Empty config fields are editable for a user having only config_read permission
Empty config fields are editable for a user having only config_read permission
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: config/individual-config
  Show dependency treegraph
 
Reported: 2010-10-13 05:57 EDT by Sunil Kondkar
Modified: 2013-08-05 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (127.03 KB, image/png)
2010-10-13 05:59 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2010-10-13 05:57:37 EDT
Description of problem:

If a user has only config_read permission and navigates to configuration tab of a resource like 'RHQ Agent', the empty config properties are editable. If user enters value in any of such properties, save button also gets enabled.

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):
build#409

How reproducible:
Always

Steps to Reproduce:

1.Login to Jon
2.Create a group of resources like rhq agent etc
3.Create a role having only view config permisions and assign the resource group created.
4.Create a new user and assign the role created above
5.Login to Jon as newly created user
6.Navigate to 'Inventory->Servers->RHQ Agent->Configuration->Current' tab.
7.Uncheck the ckeckbox for a empty config property say 'Server Discovery Period'.
8.Enter a value in the text box (Ex: 30)
9.Notice the 'Save' button is enabled. 
  
Actual results:

The empty config fields are editable for a user having only config_read permission.

Expected results:

User having only config_read permission should be able to only view the individual configuration values. The config properties should not be editable.

Additional info:
Comment 1 Sunil Kondkar 2010-10-13 05:59:45 EDT
Created attachment 453157 [details]
Screenshot
Comment 2 Ian Springer 2011-03-01 12:42:21 EST
Fixed - [master d27c97e]. The underlying cause was fault logic in
ConfigurationEditor.isReadOnly().
Comment 3 Sunil Kondkar 2011-03-04 06:36:33 EST
Verified on Build#1063 (Version: 4.0.0-SNAPSHOT Build Number: f86ed17)

User having only config_read permission is able to only view the individual configuration values.

Marking as verified.
Comment 4 Corey Welton 2011-05-23 21:15:01 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:15:13 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:15:14 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:15:19 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.